Set attachments on an existing message (replaces existing). Maximum 5 URLs. Supported for TYPE_CUSTOM_CALL (34) and TYPE_CALL (1) with subType EXTERNAL_CALL.

http
PUT https://services.leadconnectorhq.com/conversations/messages/{messageId}/attachments

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
messageIdstringYesve9EPM428h8vShlRW1KTMessage Id

Body

NameTypeRequiredExampleDescription
attachmentsstring[]YesArray of attachment URLs to set on the message (replaces existing). Maximum 5 URLs.

Responses

200 - Successfully set message attachments
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
403 - Message type does not support attachment updates
404 - Message not found

Example

curl -X PUT 'https://services.leadconnectorhq.com/conversations/messages/YOUR_messageId/attachments' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "attachments": [
    "https://provider.com/recordings/call-123.mp3"
  ]
}'

Last updated October 26, 2026

Was this page helpful?